<?php

/*
 * AfterLogic Admin Panel by AfterLogic Corp. <support@afterlogic.com>
 *
 * Copyright (C) 2002-2009  AfterLogic Corp. (www.afterlogic.com)
 * Distributed under the terms of the license described in LICENSE.txt
 * 
 */

	$db =& DbStorageCreator::CreateDatabaseStorage($this->_settings);
	$prefix = $this->_settings->DbPrefix;

	if ($db->_settings->DbType != WM_DB_MYSQL && $db->_settings->DbType != WM_DB_MSSQLSERVER)
	{
		exit('Warning: Incorrect database type.	Tables can be created in MySql or MSSql database only!');
	}
	
	if (!$db->Connect())
	{
		exit('Connect Error: '.ap_Utils::TakePhrase('WM_INFO_CONNECTUNSUCCESSFUL').' '.$db->GetError());
	}
	
	$is_good = $db->CheckExistTable($prefix);
	if ($is_good === true)
	{
		$is_good = $db->CreateTables($prefix);
		if ($is_good === true)
		{
			if ($db->CreateAllIndex($prefix))
			{
				$bodyText = '<b>Congratulation!</b><br />All tables were created successfully.';			
			}
			else 
			{
				$error = strlen($db->GetError()) > 5 ? $db->GetError() : '';
				$bodyText = '<font color="red"><b>Warning!</b></font><br />
				When creating index, an error in database occured! '.$error;						
			}
		}
		elseif($is_good && strlen($is_good) > 0)
		{
			$error = strlen($db->GetError()) > 5 ? $db->GetError() : '';
			$bodyText = '<font color="red"><b>Warning!</b></font><br />
			When creating the table (<b>'.$is_good.'</b>) , an error in database occured! '.$error;	
		}
		else 
		{
			$error = strlen($db->GetError()) > 5 ? $db->GetError() : '';
			$bodyText = '<font color="red"><b>Warning!</b></font><br />
			When creating the table, an error in database occured!<br />'.$error;	
		}	
	}
	elseif ($is_good && strlen($is_good) > 0)
	{
		$bodyText = '
		<font color="red"><b>Warning!</b></font><br />
		The database contains the table ('.$is_good.'),<br />
		needed for handling with MailBee WebMail Pro<br /><br />
		For continuation, this table should be removed or other prefix should be set. 
		';			
	}
	else 
	{
		$error = strlen($db->GetError()) > 5 ? $db->GetError() : '';
		$bodyText = '<font color="red"><b>Warning!</b></font><br />
		When operating the database, an error occured.<br />
		Possibly, it is the connection error or database name is not correctly signed.<br />
		'.$error.'<br /><br />
		Try to close the window and change database connection settings. 
		';			
	}
	
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>WebMail</title>
</head>
<body style="font-family: Tahoma, Verdana;">
<table width="100%">
	<tr>
		<td>
			<?php echo $bodyText; ?>
		</td>
	</tr>
</table>
</body>
</html>	