<?php

/*
 * AfterLogic Admin Panel by AfterLogic Corp. <support@afterlogic.com>
 *
 * Copyright (C) 2002-2009  AfterLogic Corp. (www.afterlogic.com)
 * Distributed under the terms of the license described in LICENSE.txt
 * 
 */

class Xmail_Settings
{
	/**
	 * @var	string
	 */
	var $_host;
	
	/**
	 * @var	int
	 */
	var $_port;
	
	/**
	 * @var	string
	 */
	var $_login;
	
	/**
	 * @var	string
	 */
	var $_password;
	
	/**
	 * @var bool
	 */
	var $IsLoad = false;
	
	/**
	 * @param	CAdminPanel		$ap
	 * @return	Xmail_Settings
	 */
	function Xmail_Settings($ap)
	{
		$cfg =& $ap->Config();
		if ($ap->IsAuth() && 
				isset($cfg['login']['user'], $cfg['login']['password'], 
						$cfg['login']['host'], $cfg['login']['port']))
		{
			$this->_host = $cfg['login']['host'];
			$this->_port = (int) $cfg['login']['port'];
			$this->_login = $cfg['login']['user'];
			$this->_password = $cfg['login']['password'];
			$this->IsLoad = true;
		}
	}
}