<script type="text/javascript">
    var ttPop3Proto = 'Enables POP3 service. If you disable it, POP3 mail clients won\'t be able to check and download mail from your mail server.';
    var ttPop3Port = 'Mail clients use this port to establish regular POP3 connections with your mail server. If enabled, make sure the port is opened in your firewall.';
    var ttPop3PortSSL = 'Mail clients use this port to establish secure POP3 connections with your mail server. Set it blank to disable SSL/TLS connections. If enabled, make sure the port is opened in your firewall.';
    var ttEnablePOP3_TLS = 'Enables making secure SSL/TLS connections via regular POP3 port. If enabled, mail clients can turn the regular connection into secure with STLS command.';
</script>
<form action="<?php echo AP_INDEX_FILE;?>?mode=submit" method="POST" id="pop3_form" <?php $this->data->PrintValue('hideClass_pop3') ?>>
<input type="hidden" name="form_id" value="pop3">
<table class="wm_admin_center" width="650">
	<tr>
		<td width="200"></td>
		<td><br /></td>
	</tr>
	<tr>
		<td colspan="2" class="wm_safety_info">
			Mail clients (like Outlook) use POP3 protocol to check and download mail from inbox
			(read more on&nbsp;<a href="http://en.wikipedia.org/wiki/POP3" target="_blank">Wikipedia</a>).
		</td>
	</tr>
	<tr><td colspan="2"><br /></td></tr>
	<tr>
		<td colspan="2" class="wm_admin_title">
			POP3 Options
		</td>
	</tr>
	<tr>
		<td>
			* <label class="LabelOffset DottedText" for="box_Pop3Proto" onmouseover="AddToolTip(ttPop3Proto);"
				onmouseout="RemoveToolTip();" >Enable POP3</label>
		</td>
		<td>
			 <input type="checkbox" class="wm_checkbox" value="1" id="box_Pop3Proto" name="box_Pop3Proto" <?php $this->data->PrintCheckedValue('box_Pop3Proto') ?>/>
		</td>
	</tr>
	<tr>
		<td>
			* <span class="LabelOffset DottedText" onmouseover="AddToolTip(ttPop3Port);"
				onmouseout="RemoveToolTip();" >POP3 server port</span>
		</td>
		<td>
			<input class="wm_input wm_addmargin" type="text" id="var_Pop3Port" name="var_Pop3Port" 
				maxlength="5" value="<?php $this->data->PrintIntValue('var_Pop3Port') ?>" style="width: 300px;" />
		</td>
	</tr>
	<tr>
		<td>
			* <span class="LabelOffset DottedText" onmouseover="AddToolTip(ttPop3PortSSL);"
				onmouseout="RemoveToolTip();" >POP3 SSL/TLS server port</span>
		</td>
		<td>
			<input class="wm_input" type="text" id="var_Pop3PortSSL" maxlength="5" name="var_Pop3PortSSL" 
					value="<?php $this->data->PrintIntValue('var_Pop3PortSSL') ?>" style="width: 300px;" />
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_EnablePOP3_TLS" onmouseover="AddToolTip(ttEnablePOP3_TLS);"
				onmouseout="RemoveToolTip();" >Enable POP3 STLS</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" value="1" id="box_EnablePOP3_TLS" name="box_EnablePOP3_TLS" <?php $this->data->PrintCheckedValue('box_EnablePOP3_TLS') ?>/>
		</td>
	</tr>

	<tr><td colspan="2"><hr size="1"></td></tr>
	<tr>
		<td colspan="2" align="right">
			<span class="wm_secondary_info" style="float: left; text-align: left;">* changing settings marked with asterisks<br />requires <a href="#" onclick="PopupDiv.Show();">manual restart of "AfterLogic XMail Server" service</a>.</span>
			<input type="submit" name="submit_btn" value="Save" class="wm_button" style="width: 100px">
		</td>
	</tr>
</table>
</form>