<script type="text/javascript">
	var ttLogSystem = 'Logs all AfterLogic XMail Server events, except for mail protocols.';
    var ttLogSMTP = 'Log all SMTP activities, typically sending and receiving mail.';
    var ttLogPOP3 = 'Log all POP3 activities, typically downloading mail by e-mail client software.';
    var ttPop3LogPasswd = 'Include passwords to the POP3 log file.';
    var ttLogIMAP4 = 'Log all IMAP4 activities, typically accessing mail by e-mail client software.';
    var ttLogCTRL = 'Log all activities of remote control of AfterLogic XMail Server.';
    var ttLogLMAIL = 'Log all Local Mailer actions. Local Mailer accepts e-mails from Spool Mailer and either puts them into local user mailboxes or sends through SMTP (for external e-mail addresses).';
    var ttLogSMAIL = 'Log all Spool Mailer actions. Spool Mailer monitors outgoing mail queue and passes e-mails to Local Mailer when they appear in the queue.';
</script>
<form action="<?php echo AP_INDEX_FILE;?>?mode=submit" method="POST" id="log_form" <?php $this->data->PrintValue('hideClass_log') ?>>
<input type="hidden" name="form_id" value="log">
<table class="wm_admin_center" width="650">
	<tr>
		<td width="250"></td>
		<td width="50"></td>
		<td><br /></td>
	</tr>
	<tr>
		<td colspan="3" class="wm_safety_info">
			Useful for troubleshooting, tracking mail delivery, monitoring access to your server, etc.
		</td>
	</tr>
	<tr><td colspan="3"><br /></td></tr>
	<tr>
		<td class="wm_safety_info" colspan="3">
			Changing these settings requires manual restart of "AfterLogic XMail Server" service.
		</td>
	</tr>
	<tr><td colspan="3"><br /></td></tr>
	<tr>
		<td colspan="3" class="wm_admin_title">
			Logging
		</td>
	</tr>
	<tr>
		<td>
			 <label class="LabelOffset DottedText" for="box_LogSystem" 
				onmouseover="AddToolTip(ttLogSystem);" 
				onmouseout="RemoveToolTip();">System logging</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" value="1" id="box_LogSystem" name="box_LogSystem" <?php $this->data->PrintCheckedValue('box_LogSystem') ?>/>
		</td>
		<td>
			<input type="button" class="wm_button" id="System_GetLastLog" value="View Last Log" onclick="PopUpWindow('<?php echo AP_INDEX_FILE; ?>?mode=pop&type=log&cmd=xmail');" />
		</td>
	</tr>
	<tr>
		<td>
			 <label class="LabelOffset DottedText" for="box_LogSMTP" 
				onmouseover="AddToolTip(ttLogSMTP);" 
				onmouseout="RemoveToolTip();">SMTP session logging</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" value="1" id="box_LogSMTP" name="box_LogSMTP" <?php $this->data->PrintCheckedValue('box_LogSMTP') ?>/>
		</td>
		<td>
			<input type="button" class="wm_button" id="SMTP_GetLastLog" value="View Last Log" onclick="PopUpWindow('<?php echo AP_INDEX_FILE; ?>?mode=pop&type=log&cmd=smtp');" />
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_LogPOP3" 
				onmouseover="AddToolTip(ttLogPOP3);" 
				onmouseout="RemoveToolTip();">POP3 session logging</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" value="1" id="box_LogPOP3" name="box_LogPOP3" <?php $this->data->PrintCheckedValue('box_LogPOP3') ?>/>
		</td>
		<td>
			<input type="button" class="wm_button" id="POP3_GetLastLog" value="View Last Log" onclick="PopUpWindow('<?php echo AP_INDEX_FILE; ?>?mode=pop&type=log&cmd=pop3');" />
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_Pop3LogPasswd" 
				onmouseover="AddToolTip(ttPop3LogPasswd);" 
				onmouseout="RemoveToolTip();">Log POP3 passwords</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" value="1" id="box_Pop3LogPasswd" name="box_Pop3LogPasswd" <?php $this->data->PrintCheckedValue('box_Pop3LogPasswd') ?>/>
		</td>
		<td>
			&nbsp;
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_LogIMAP4" 
				onmouseover="AddToolTip(ttLogIMAP4);" 
				onmouseout="RemoveToolTip();">IMAP4 session logging</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" value="1" id="box_LogIMAP4" name="box_LogIMAP4" <?php $this->data->PrintCheckedValue('box_LogIMAP4') ?>/>
		</td>
		<td>
			<input type="button" class="wm_button" id="IMAP4_GetLastLog" value="View Last Log" onclick="PopUpWindow('<?php echo AP_INDEX_FILE; ?>?mode=pop&type=log&cmd=imap4');" />
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_LogCTRL" 
				onmouseover="AddToolTip(ttLogCTRL);" 
				onmouseout="RemoveToolTip();">AXMS-CTRL session logging</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" value="1" id="box_LogCTRL" name="box_LogCTRL" <?php $this->data->PrintCheckedValue('box_LogCTRL') ?>/>
		</td>
		<td>
			<input type="button" class="wm_button" id="CTRL_GetLastLog" value="View Last Log" onclick="PopUpWindow('<?php echo AP_INDEX_FILE; ?>?mode=pop&type=log&cmd=ctrl');" />
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_LogLMAIL" 
				onmouseover="AddToolTip(ttLogLMAIL);" 
				onmouseout="RemoveToolTip();">Local mailer session logging</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" value="1" id="box_LogLMAIL" name="box_LogLMAIL" <?php $this->data->PrintCheckedValue('box_LogLMAIL') ?>/>
		</td>
		<td>
			<input type="button" class="wm_button" id="LMAIL_GetLastLog" value="View Last Log" onclick="PopUpWindow('<?php echo AP_INDEX_FILE; ?>?mode=pop&type=log&cmd=lmail');" />
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_LogSMAIL" 
				onmouseover="AddToolTip(ttLogSMAIL);" 
				onmouseout="RemoveToolTip();">Spool mailer session logging</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" value="1" id="box_LogSMAIL" name="box_LogSMAIL" <?php $this->data->PrintCheckedValue('box_LogSMAIL') ?>/>
		</td>
		<td>
			<input type="button" class="wm_button" id="SMAIL_GetLastLog" value="View Last Log" onclick="PopUpWindow('<?php echo AP_INDEX_FILE; ?>?mode=pop&type=log&cmd=smail');" />
		</td>
	</tr>
	<tr><td colspan="3"><hr size="1"></td></tr>
	<tr>
		<td colspan="3" align="right">
			<input type="submit" name="submit_btn" value="Save" class="wm_button" style="width: 100px">
		</td>
	</tr>
</table>
</form>